API reference / posts
Update post
PATCH
/v1/posts/{id}Permission posts:writeEdit a draft, queued, or scheduled post.
Headers
AuthorizationstringREQUIREDBearer followed by your API key.
Foxli-WorkspacestringTarget workspace ID. Required if account owns or admins more than one workspace.
Path parameters
idstringREQUIREDQuery parameters
workspace_idstringAlternative way to pass workspace ID.
Body parameters
contentstringscheduled_atstringmedia_urlsstring[]media_idsstring[]channel_idsstring[]first_commentstringtagsstring[]channel_overridesobjectErrors
400
workspace_requiredInvalid request parameters or missing workspace context.404
not_foundResource was not found.curl -X PATCH https://api.foxli.app/v1/posts/pst_89fa12b \ -H "Authorization: Bearer $FOXLI_API_KEY" \ -H "Foxli-Workspace: ws_brand_primary" \ -H "Content-Type: application/json" \ -d '{ "content": "sample_value", "scheduled_at": "sample_value", "media_urls": [ "item_1" ] }'
Response200 OK
{
"success": true
}